# Copyright (c) 2015, Xhive Global Ltd. and Contributors
# License: MIT. See LICENSE

# pre loaded

import xhiveframework
from xhiveframework.tests.utils import XhiveFrameworkTestCase


class TestUser(XhiveFrameworkTestCase):
	def test_default_currency_on_setup(self):
		usd = xhiveframework.get_doc("Currency", "USD")
		self.assertDocumentEqual({"enabled": 1, "fraction": "Cent"}, usd)
